Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Should Submit a RRG Asynchronously

Request

Returns true if the Submit action of the specified Rebate Record Group should be performed asynchronmously.

If the number of Rebate Records within the given Rebate Record Group exceeds a defined threshold the group should be submitted in the asynchronous way. The threshold number can be set in the Advanced Configuration Option key asyncSubmitRRGThreshold. The default value is 10. Set to 0 to always submit a Rebate Record Group asynchronously.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

typedId of the Rebate Record Group you want to return the async threshold boolean for.

Bodyapplication/json
object
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/rebaterecordgroup.shouldsubmitasynchronously/{typedId}' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend", "data": [], "status": 0 } }

Mass Submit Rebate Record Groups

Request

Peforms the Mass Submit action of the Rebate Record Groups specified by the filter in the request body.

The Mass Submit action is always performed asynchronously - returns Job Status Tracker (JST).

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/rebaterecordgroup.masssubmit \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "filterCriteria": {
        "fieldName": "uniqueName",
        "operator": "inSet",
        "value": [
          "RRG-1",
          "RRG-2"
        ],
        "_constructor": "AdvancedCriteria"
      }
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-df49586c8-nkzxh", "data": [], "status": 0 } }

Undo Rebate Record Group Revocation

Request

Reverts the action 'Revoke' and returns the Rebate Record Group back to the Approved status. It is useful if the user revokes a Rebate Record Group by mistake. There is no button for this action available in the UI.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/rebaterecordgroup.undorevoke/{typedId}'

Responses

OK

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas